Bug 22237 - Subscriptions are not linked to Mana upon edit
Summary: Subscriptions are not linked to Mana upon edit
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Web services (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 17047
Blocks: 22250
  Show dependency treegraph
 
Reported: 2019-01-30 17:11 UTC by Owen Leonard
Modified: 2019-03-19 09:33 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22237: Subscriptions are not linked to Mana upon edit (2.23 KB, patch)
2019-01-30 17:21 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22237: Subscriptions are not linked to Mana upon edit (2.29 KB, patch)
2019-03-04 19:26 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22237: Subscriptions are not linked to Mana upon edit (2.34 KB, patch)
2019-03-13 15:56 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-01-30 17:11:03 UTC
When a new subscription is created using data from Mana, a mana_id value is added to the subscription table. In Serials.pm ModSubscription was not modified to include mana_id, so subscription edits do not correctly link to Mana.
Comment 1 Owen Leonard 2019-01-30 17:21:10 UTC
Created attachment 84533 [details] [review]
Bug 22237: Subscriptions are not linked to Mana upon edit

This patch modifies C4/Serials.pm so that during the process of editing
a subscription a link to Mana can be created.

To test, apply the patch and go to Serials.

 - Locate a subscription which was not created using Mana data but which
   can be found in Mana.
 - Edit the subscription, skipping to the second page.
 - View the results returned by Mana and select one.
 - Save the subscription.
 - Upon being redirected to the subscription detail page you should see
   a "Report mistake" button. This shows that the subscription has been
   linked to Mana successfully.
Comment 2 Josef Moravec 2019-03-04 19:26:20 UTC
Created attachment 86028 [details] [review]
Bug 22237: Subscriptions are not linked to Mana upon edit

This patch modifies C4/Serials.pm so that during the process of editing
a subscription a link to Mana can be created.

To test, apply the patch and go to Serials.

 - Locate a subscription which was not created using Mana data but which
   can be found in Mana.
 - Edit the subscription, skipping to the second page.
 - View the results returned by Mana and select one.
 - Save the subscription.
 - Upon being redirected to the subscription detail page you should see
   a "Report mistake" button. This shows that the subscription has been
   linked to Mana successfully.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Katrin Fischer 2019-03-09 21:04:12 UTC
How can I find an existing pattern on Mana for testing?
Comment 4 Josef Moravec 2019-03-11 06:53:10 UTC
(In reply to Katrin Fischer from comment #3)
> How can I find an existing pattern on Mana for testing?

Hi Katrin,

you can find subscriptions using subscriptions mana search from main serial module page - it could be accessed from left menu.
Comment 5 Alex Arnaud 2019-03-13 15:56:28 UTC
Created attachment 86575 [details] [review]
Bug 22237: Subscriptions are not linked to Mana upon edit

This patch modifies C4/Serials.pm so that during the process of editing
a subscription a link to Mana can be created.

To test, apply the patch and go to Serials.

 - Locate a subscription which was not created using Mana data but which
   can be found in Mana.
 - Edit the subscription, skipping to the second page.
 - View the results returned by Mana and select one.
 - Save the subscription.
 - Upon being redirected to the subscription detail page you should see
   a "Report mistake" button. This shows that the subscription has been
   linked to Mana successfully.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 6 Nick Clemens 2019-03-15 12:48:31 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-03-19 09:33:22 UTC
Bug on enhancement not in 18.11.x series.